site_name: jsPsych
theme:
  name: 'material'
  language: 'en'
  palette:
    primary: 'green'
    accent: 'orange'
  logo: 'img/jspsych-logo-no-text-mono.svg'
  favicon: 'img/jspsych-favicon.png'
extra:
  social:
    - icon: 'fontawesome/brands/github'
      link: 'https://github.com/jspsych'
    - icon: 'fontawesome/brands/twitter'
      link: 'https://twitter.com/joshdeleeuw'
  version:
    provider: mike
  analytics:
    provider: google
    property: 'UA-50563838-1'
copyright: 'Copyright &copy; 2012-2022 Josh de Leeuw'
markdown_extensions:
  - admonition
  - codehilite:
      guess_lang: false
  - toc:
      permalink: true
  - pymdownx.superfences
  - pymdownx.tabbed:
      alternate_style: true
  - pymdownx.details
  - pymdownx.snippets
  - pymdownx.emoji:
      emoji_index: !!python/name:materialx.emoji.twemoji
      emoji_generator: !!python/name:materialx.emoji.to_svg
repo_url: 'https://github.com/jspsych/jsPsych'
repo_name: 'jspsych/jspsych'
edit_uri: edit/main/docs
site_url: 'https://www.jspsych.org/'
docs_dir: docs
nav:
- Introduction: 'index.md'
- Tutorials:
  - 'The Basics: Hello World': 'tutorials/hello-world.md'
  - 'Demo Experiment: Simple Reaction Time Task': 'tutorials/rt-task.md'
  - 'Video Tutorials': 'tutorials/video-tutorials.md'
- Overview:
  - 'Creating an Experiment: The Timeline': 'overview/timeline.md'
  - 'Plugins': 'overview/plugins.md'
  - 'Extensions': 'overview/extensions.md'
  - 'Dynamic Parameters': 'overview/dynamic-parameters.md'
  - 'Controlling Visual Appearance': 'overview/style.md'
  - 'Data Storage, Aggregation, and Manipulation': 'overview/data.md'
  - 'Simulation Modes': 'overview/simulation.md'
  - 'Running Experiments': 'overview/running-experiments.md'
  - 'Experiment Settings': 'overview/experiment-options.md'
  - 'Events': 'overview/events.md'
  - 'Record Browser Interactions': 'overview/record-browser-interactions.md'
  - 'Media Preloading': 'overview/media-preloading.md'
  - 'Fullscreen Experiments': 'overview/fullscreen.md'
  - 'Eye Tracking': 'overview/eye-tracking.md'
  - 'Exclude Participants Based on Browser Features': 'overview/exclude-browser.md'
  - 'Automatic Progress Bar': 'overview/progress-bar.md'
  - 'Integrating with Prolific': 'overview/prolific.md'
  - 'Integrating with Mechanical Turk': 'overview/mturk.md'
  - 'Browser and Device Support': 'overview/browser-device-support.md'
  - 'Timing Accuracy': 'overview/timing-accuracy.md'
- Reference:
  - 'jsPsych': 'reference/jspsych.md'
  - 'jsPsych.data': 'reference/jspsych-data.md'
  - 'jsPsych.randomization': 'reference/jspsych-randomization.md'
  - 'jsPsych.turk': 'reference/jspsych-turk.md'
  - 'jsPsych.pluginAPI': 'reference/jspsych-pluginAPI.md'
- Plugins:
  - 'List of Plugins': 'plugins/list-of-plugins.md'
  - 'animation': 'plugins/animation.md'
  - 'audio-button-response': 'plugins/audio-button-response.md'
  - 'audio-keyboard-response': 'plugins/audio-keyboard-response.md'
  - 'audio-slider-response': 'plugins/audio-slider-response.md'
  - 'browser-check': 'plugins/browser-check.md'
  - 'call-function': 'plugins/call-function.md'
  - 'canvas-button-response': 'plugins/canvas-button-response.md'
  - 'canvas-keyboard-response': 'plugins/canvas-keyboard-response.md'
  - 'canvas-slider-response': 'plugins/canvas-slider-response.md'
  - 'categorize-animation': 'plugins/categorize-animation.md'
  - 'categorize-html': 'plugins/categorize-html.md'
  - 'categorize-image': 'plugins/categorize-image.md'
  - 'cloze' : 'plugins/cloze.md'
  - 'external-html': 'plugins/external-html.md'
  - 'free-sort': 'plugins/free-sort.md'
  - 'fullscreen': 'plugins/fullscreen.md'
  - 'html-audio-response': 'plugins/html-audio-response.md'
  - 'html-button-response': 'plugins/html-button-response.md'
  - 'html-keyboard-response': 'plugins/html-keyboard-response.md'
  - 'html-slider-response': 'plugins/html-slider-response.md'
  - 'iat-html': 'plugins/iat-html.md'
  - 'iat-image': 'plugins/iat-image.md'
  - 'image-button-response': 'plugins/image-button-response.md'
  - 'image-keyboard-response': 'plugins/image-keyboard-response.md'
  - 'image-slider-response': 'plugins/image-slider-response.md'
  - 'initialize-microphone': 'plugins/initialize-microphone.md'
  - 'instructions': 'plugins/instructions.md'
  - 'maxdiff': 'plugins/maxdiff.md'
  - 'preload': 'plugins/preload.md'
  - 'reconstruction': 'plugins/reconstruction.md'
  - 'resize': 'plugins/resize.md'
  - 'same-different-html': 'plugins/same-different-html.md'
  - 'same-different-image': 'plugins/same-different-image.md'
  - 'serial-reaction-time': 'plugins/serial-reaction-time.md'
  - 'serial-reaction-time-mouse': 'plugins/serial-reaction-time-mouse.md'
  - 'sketchpad' : 'plugins/sketchpad.md'
  - 'survey' : 'plugins/survey.md'
  - 'survey-html-form' : 'plugins/survey-html-form.md'
  - 'survey-likert': 'plugins/survey-likert.md'
  - 'survey-multi-choice': 'plugins/survey-multi-choice.md'
  - 'survey-multi-select': 'plugins/survey-multi-select.md'
  - 'survey-text': 'plugins/survey-text.md'
  - 'video-button-response': 'plugins/video-button-response.md'
  - 'video-keyboard-response': 'plugins/video-keyboard-response.md'
  - 'video-slider-response': 'plugins/video-slider-response.md'
  - 'virtual-chinrest' : 'plugins/virtual-chinrest.md'
  - 'visual-search-circle': 'plugins/visual-search-circle.md'
  - 'webgazer-calibrate': 'plugins/webgazer-calibrate.md'
  - 'webgazer-init-camera': 'plugins/webgazer-init-camera.md'
  - 'webgazer-validate': 'plugins/webgazer-validate.md'
- Extensions:
  - 'List of Extensions': 'extensions/list-of-extensions.md'
  - 'mouse-tracking': 'extensions/mouse-tracking.md'
  - 'webgazer': 'extensions/webgazer.md'
- Developers:
  - 'Configuration': 'developers/configuration.md'
  - 'Building the Documentation': 'developers/documentation.md'
  - 'Contributing to jsPsych': 'developers/contributing.md'
  - 'Plugin Development': 'developers/plugin-development.md'
  - 'Extension Development': 'developers/extension-development.md'
- Support:
  - 'Getting Help': 'support/support.md'
  - 'Migrating from 6.x to 7.x': 'support/migration-v7.md'
- About:
  - 'About jsPsych': 'about/about.md'
  - 'License': 'about/license.md'
